Index: XIOS/dev/dev_olga/src/node/grid.hpp
===================================================================
--- XIOS/dev/dev_olga/src/node/grid.hpp	(revision 1077)
+++ XIOS/dev/dev_olga/src/node/grid.hpp	(revision 1099)
@@ -174,5 +174,5 @@
          std::map<int, int> getDomConServerSide();
          std::map<int, StdSize> getAttributesBufferSize();
-         std::map<int, StdSize> getDataBufferSize(const std::string& id = "");
+         std::vector<std::map<int, StdSize> > getDataBufferSize(const std::string& id = "");
          std::vector<StdString> getDomainList();
          std::vector<StdString> getAxisList();
@@ -222,5 +222,5 @@
          map<int, CArray<int, 1> > storeIndex_toSrv;
          map<int, CArray<int, 1> > storeIndex_fromSrv;
-         map<int,int> nbSenders;
+         std::vector<map<int,int> > nbSenders;
 
          map<int, CArray<size_t, 1> > outIndexFromClient, compressedOutIndexFromClient;
@@ -277,6 +277,6 @@
         size_t writtenDataSize_;
         int numberWrittenIndexes_, totalNumberWrittenIndexes_, offsetWrittenIndexes_;
-        std::map<int,size_t> connectedDataSize_;
-        std::vector<int> connectedServerRank_;
+        std::vector<std::map<int,size_t> > connectedDataSize_;
+        std::vector<std::vector<int> > connectedServerRank_;
         bool isDataDistributed_;
         int positionDimensionDistributed_;
Index: XIOS/dev/dev_olga/src/test/test_client.f90
===================================================================
--- XIOS/dev/dev_olga/src/test/test_client.f90	(revision 1077)
+++ XIOS/dev/dev_olga/src/test/test_client.f90	(revision 1099)
@@ -17,6 +17,6 @@
   CHARACTER(len=15) :: calendar_type
   TYPE(xios_context) :: ctx_hdl
-  INTEGER,PARAMETER :: ni_glo=4
-  INTEGER,PARAMETER :: nj_glo=4
+  INTEGER,PARAMETER :: ni_glo=100
+  INTEGER,PARAMETER :: nj_glo=100
   INTEGER,PARAMETER :: llm=2
   DOUBLE PRECISION  :: lval(llm)=1
@@ -50,5 +50,5 @@
       lat_glo(i,j)=1000+(i-1)+(j-1)*ni_glo
       DO l=1,llm
-        field_A_glo(i,j,l)=(i-1)+(j-1)*ni_glo+10000*l
+        field_A_glo(i,j,l)=(i-1)+(j-1)*ni_glo*100+10000*l
       ENDDO
     ENDDO
@@ -66,10 +66,10 @@
   iend=ibegin+ni-1 ; jend=jbegin+nj-1
 
-  ALLOCATE(lon(ni,nj),lat(ni,nj),field_A(0:ni+1,-1:nj+2,llm),lonvalue(ni,nj), axisValue(nj), field_domain(0:ni+1,-1:nj+2))
+  ALLOCATE(lon(ni,nj),lat(ni,nj),field_A(0:ni+1,-1:nj+2,llm),lonvalue(ni,nj), axisValue(nj_glo), field_domain(0:ni+1,-1:nj+2))
   lon(:,:)=lon_glo(ibegin+1:iend+1,jbegin+1:jend+1)
   lat(:,:)=lat_glo(ibegin+1:iend+1,jbegin+1:jend+1)
   field_A(1:ni,1:nj,:)=field_A_glo(ibegin+1:iend+1,jbegin+1:jend+1,:)
   field_domain(1:ni,1:nj) = field_A_glo(ibegin+1:iend+1,jbegin+1:jend+1,1)
-  axisValue(1:nj)=field_A(1,1:nj,1);
+  axisValue(1:nj_glo)=field_A_glo(1,1:nj_glo,1);
 
   CALL xios_context_initialize("test",comm)
@@ -131,8 +131,8 @@
 
   PRINT*,"field field_A is active ? ",xios_field_is_active("field_A")
-  DO ts=1,40
+  DO ts=1,4
     CALL xios_update_calendar(ts)
     CALL xios_send_field("field_A",field_A)
-    ! CALL xios_send_field("field_Axis",axisValue)
+    CALL xios_send_field("field_Axis",axisValue)
     ! CALL xios_send_field("field_Axis",lval)
     CALL xios_send_field("field_Domain",field_domain)
